Subject: [Anima] Call for adoption: draft-richardson-anima-rfc8366bis, ends December 19th, 2021

From: Sheng Jiang <[email-masked]>
Date: Mon, 6 Dec 2021 06:57:14 +0000

Hi, all ANIMAer,

This message starts a two-week adoption call for draft-richardson-anima-rfc8366bis, which we have traced a few discussion and think the WG is interested in. The adoption call ends December 19th, 2021.

Title:   A Voucher Artifact for Bootstrapping Protocols

Name:     draft-richardson-anima-rfc8366bis-04

Authors:  K. Watsen, M. Richardson, M. Pritikin and T. Eckert

URL:      https://datatracker.ietf.org/doc/draft-richardson-anima-rfc8366bis/

IPR:      No IPR disclosures have been submitted directly on draft-richardson-anima-voucher-delegation

This document is intended to become a standards track ANIMA WG document.

Please express your support or rejection. If you think this document should _not_ be adopted, please also explicitly indicate the reasons.

Regards,

Sheng

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 7 Dec 2021 10:01:11 +1300

This is necessary work and I support adoption (and rapid progress).

Regards
    Brian

On 06-Dec-21 19:57, Sheng Jiang wrote:
> Hi, all ANIMAer,
> 
> This message starts a two-week adoption call for draft-richardson-anima-rfc8366bis, which we have traced a few discussion and think the WG is interested in. The adoption call ends December 19^th , 2021.
> 
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima
>

---

From: "Fries, Steffen" <[email-masked]>
Date: Thu, 9 Dec 2021 15:16:45 +0000

Hi,

This is necessary work we rely on in BRSKI-PRM. I fully support the adoption.

Best regards
Steffen

From: Anima <[email-masked]> On Behalf Of Sheng Jiang
Sent: Montag, 6. Dezember 2021 07:57
To: [email-masked]
Cc: [email-masked]; Toerless Eckert <[email-masked]>
Subject: [Anima] Call for adoption: draft-richardson-anima-rfc8366bis, ends December 19th, 2021

Hi, all ANIMAer,

Regards,

Sheng

---

From: <[email-masked]>
Date: Fri, 10 Dec 2021 15:30:52 +0000

Hi all,

I support adoption.

(1)(major) However, I think that ietf-voucher module should be reworked to make use of the structure defined in RFC 8791.

(2) For the IANA section, even if ietf-voucher was already registered, the practice is that the IANA will need to create a new entry when the new version of the module will be published. That IANA section should ne updated accordingly.

(3) This part from the IANA module should be updated as follows:

OLD:
     organization
       "IETF ANIMA Working Group";
     contact
       "WG Web:   <https://datatracker.ietf.org/wg/anima/>
        WG List:  <mailto:[email-masked]>
        Author:   Kent Watsen
                  <mailto:[email-masked]>
        Author:   Max Pritikin
                  <mailto:[email-masked]>
        Author:   Michael Richardson
                  <mailto:[email-masked]>
        Author:   Toerless Eckert
                  <mailto:[email-masked]>";

NEW:
  organization
    "IANA";
  contact
    "Internet Assigned Numbers Authority

     Postal: ICANN
             12025 Waterfront Drive, Suite 300
             Los Angeles, CA 90094-2536
             United States of America
     Tel:    +1 310 301 5800
     <mailto:[email-masked]>";

(4) Make IANA's actions easy to handle:

OLD:
   name:         iana-voucher-assertion-type
   namespace:    urn:ietf:params:xml:ns:yang:iana-voucher-assertion-type
   prefix:       ianavat
   reference:    RFC XXXX

NEW:
   name:         iana-voucher-assertion-type
   namespace:    urn:ietf:params:xml:ns:yang:iana-voucher-assertion-type
   prefix:       ianavat
   maintained by IANA: Y
   reference:    RFC XXXX

(5)

OLD
   This document registers a new media type in the "Media Types"
   registry [RFC6838].  IANA has registered the following:

NEW:
  This document requests IANA to update the following "Media Types"
  entry to point to the RFC number that will be assigned
  to this document:

(6)

OLD:
   IANA has registered the following OID in the "SMI Security for S/MIME
   CMS Content Type (1.2.840.113549.1.9.16.1)" registry:

             Decimal  Description                             References
             -------  --------------------------------------  ----------
             40       id-ct-animaJSONVoucher                  RFC 8366

NEW:
   This document requests IANA to update this  registered OID in the
   "SMI Security for S/MIME CMS Content Type (1.2.840.113549.1.9.16.1)"
   registry to point to the RFC number to be assigned to this document:

             Decimal  Description                             References
             -------  --------------------------------------  ----------
             40       id-ct-animaJSONVoucher                  RFC XXXX

(7) (many occurrences)

OLD:
reference "RFC ZZZZ: Voucher Profile for Bootstrapping Protocols";

NEW:
  reference

    "RFC XXXX: A Voucher Artifact for Bootstrapping Protocols";

(8) Consider adding an appendix to list the main changes vs. 8366.

Thank you.

Cheers,
Med

De : Anima <[email-masked]> De la part de Sheng Jiang
Envoyé : lundi 6 décembre 2021 07:57
À : [email-masked]
Cc : [email-masked]; Toerless Eckert <[email-masked]>
Objet : [Anima] Call for adoption: draft-richardson-anima-rfc8366bis, ends December 19th, 2021

Hi, all ANIMAer,

Regards,

Sheng

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 10 Dec 2021 09:39:36 -0600

On Fri, Dec 10, 2021 at 9:31 AM <[email-masked]> wrote:

> Hi all,
>
>
>
> I support adoption.
>
>
>
> (1)(major) However, I think that ietf-voucher module should be reworked to
> make use of the structure defined in RFC 8791.
>
>
>
> (2) For the IANA section, even if ietf-voucher was already registered, the
> practice is that the IANA will need to create a new entry when the new
> version of the module will be published. That IANA section should ne
> updated accordingly.
>
>
>

> (4) Make IANA’s actions easy to handle:
>
>
>

I didn't know that we have to write IANA (ICANN) postal address in the
drafts.
To my knowledge ICANN is in Washington, DC, but I may be wrong.

Behcet

> *De :* Anima <[email-masked]> *De la part de* Sheng Jiang
> *Envoyé :* lundi 6 décembre 2021 07:57
> *À :* [email-masked]
> *Cc :* [email-masked]; Toerless Eckert <[email-masked]>
> *Objet :* [Anima] Call for adoption: draft-richardson-anima-rfc8366bis,
> ends December 19th, 2021
>
>
>
> Hi, all ANIMAer,
>
>
>
> This message starts a two-week adoption call for
> draft-richardson-anima-rfc8366bis, which we have traced a few discussion
> and think the WG is interested in. The adoption call ends December 19th,
> 2021.
>
>
>

---

From: <[email-masked]>
Date: Fri, 10 Dec 2021 15:49:01 +0000

Hi Behcet,

I confirm that is the established practice.

You can check https://www.iana.org/assignments/yang-parameters/yang-parameters.xhtml (look for iana-* entries)

Cheers,
Med

De : Anima <[email-masked]> De la part de Behcet Sarikaya
Envoyé : vendredi 10 décembre 2021 16:40
À : [email-masked]
Objet : Re: [Anima] Call for adoption: draft-richardson-anima-rfc8366bis, ends December 19th, 2021

I didn't know that we have to write IANA (ICANN) postal address in the drafts.
To my knowledge ICANN is in Washington, DC, but I may be wrong.

Behcet

---

From: Michael Richardson <[email-masked]>
Date: Fri, 10 Dec 2021 15:45:52 -0500

> (1)(major) However, I think that ietf-voucher module should be reworked
    > to make use of the structure defined in RFC 8791.

That's a reasonable thing to request.
 * Do you consider it to be a bug-fix?

    > (2) For the IANA section, even if ietf-voucher was already registered,
    > the practice is that the IANA will need to create a new entry when the
    > new version of the module will be published. That IANA section should
    > ne updated accordingly.

okay, thank you.

    > "Internet Assigned Numbers Authority

understood.

    > namespace:    urn:ietf:params:xml:ns:yang:iana-voucher-assertion-type

understood.

    > (8) Consider adding an appendix to list the main changes vs. 8366.

okay.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 10 Dec 2021 15:41:58 -0600

Hi Med,

On Fri, Dec 10, 2021 at 9:49 AM <[email-masked]> wrote:

> You can check
> https://www.iana.org/assignments/yang-parameters/yang-parameters.xhtml (look
> for iana-* entries)
>
>
>

It seems like Michael is taking care  of your comments.

Behcet

> Cheers,
>
> Med
>
>
>
> *De :* Anima <[email-masked]> *De la part de* Behcet Sarikaya
> *Envoyé :* vendredi 10 décembre 2021 16:40
> *À :* [email-masked]
> *Objet :* Re: [Anima] Call for adoption:
> draft-richardson-anima-rfc8366bis, ends December 19th, 2021
>
>
>
>
>
>
>
>
>

---

From: Michael Richardson <[email-masked]>
Date: Sun, 12 Dec 2021 16:49:27 -0500

> to make use of the structure defined in RFC 8791.

I've attempted to do this.
My change is at:

https://github.com/anima-wg/voucher/pull/17/files#diff-746c78189eaffb33aa44d9bc0af92dc952a7cb0fd06d19f7142c9dfaa66dc464

This is part of a pull request which I have not yet applied.

What I've done is to remove the grouping, and the container, because I think
that sx:structure does that for me.  I wonder how RFC8995, which extends the
grouping will cope with this change.  I imagine that it has to use sx:augment-structure.

I will test this yang modules with our draft-ietf-anima-constrained-voucher
to understand if it results in changes to the SID generation or not.

I would like your opinion as to whether this change is small enough to fit
into going to Internet Standard for RFC8366.

---

From: Michael Richardson <[email-masked]>
Date: Sun, 12 Dec 2021 17:00:39 -0500

> new version of the module will be published. That IANA section should

https://github.com/anima-wg/voucher/pull/18

    > (3) This part from the IANA module should be updated as follows:

I did the rest of your suggestions, 3-7.
I'm a bit surprised at changing the YANG module contact info.
Do I do that for both modules, or only the one that I want IANA to maintain?

    > (8) Consider adding an appendix to list the main changes vs. 8366.

I will add this after adoption comments.

---

From: <[email-masked]>
Date: Mon, 13 Dec 2021 07:49:26 +0000

Michael, 

Please see inline. 

Cheers,
Med

> -----Message d'origine-----
> De : Anima <[email-masked]> De la part de Michael Richardson
> Envoyé : dimanche 12 décembre 2021 22:49
> À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>;
> [email-masked]
> Cc : Robert Wilton <[email-masked]>
> Objet : [Anima] moving to RFC8791 for draft-richardson-anima-rfc8366bis
> 
> 
> https://github.com/anima-wg/voucher/pull/17/files#diff-
> 746c78189eaffb33aa44d9bc0af92dc952a7cb0fd06d19f7142c9dfaa66dc464
> 

[Med] Looks good to me. 

> What I've done is to remove the grouping, and the container, because I
> think that sx:structure does that for me.  I wonder how RFC8995, which
> extends the grouping will cope with this change.  I imagine that it has to
> use sx:augment-structure.

[Med] Yes.

> into going to Internet Standard for RFC8366.

[Med] I think that you have now a clean design. If you don't fix this now, I'm sure the issue will be raised (likely) late in the process.

---

From: <[email-masked]>
Date: Mon, 13 Dec 2021 07:52:00 +0000

Re-,

Please see inline.

Cheers,
Med

> Envoyé : dimanche 12 décembre 2021 23:01

[Med] Thanks. Please consider running "pyang -f yang --keep-comments" for both modules. 

> Do I do that for both modules, or only the one that I want IANA to

[Med] The comment applies only for the IANA-maintained module. 

> I will add this after adoption comments.

[Med] Thanks.